トップページ > 記事閲覧
バリューサーバーのPHP 7.xでXMLモジュールを使うには
投稿日 : 2019/01/11(Fri) 14:22
投稿者 Nordred
参照先
エコプランの契約でバリューサーバーを使用しています。

サーバーから呼び出したphpinfo()による情報では、以下のようにPHPとXML関連モジュールが認識されています。

PHP Version 7.2.12
PHP API 20170718
PHP Extension 20170718
Server API CGI/FastCGI

DOM/XML enabled
DOM/XML API Version 20031129
libxml Version 2.7.6

XML Support active
XML Namespace Support active
libxml2 Version 2.7.6

libXML support active
libXML Compiled Version 2.7.6
libXML Loaded Version 20706
libXML streams enabled

XMLReader Rob Richards
XMLWriter Rob Richards, Pierre-Alain Joye

しなしながら、phpファイルに「$xml = new XMLWriter();」のようにXMLモジュールのクラスを作成しようとするとエラーが発生し、プログラムが実行されません。XAMPPによるローカルサーバーでは、初期導入状態でXMLモジュールの動作確認済みです。

バリューサーバーでこれらのモジュールを使用する方法を教えてください。
?L????W 編集
Re: バリューサーバーのPHP 7.xでXMLモジュールを使うには
投稿日 : 2019/01/17(Thu) 16:38
投稿者 スタッフ ◆OKSXpIjDx1k
参照先
Nordred 様

日頃より弊社サービスをご愛顧くださり、ありがとうございます。
お問い合わせの件についてご案内させていただきます。

XMLWriterにつきまして、標準のPHPでご利用いただけます。

現在、バリューサーバーにおいては、標準のPHPが「PHP5.6(モジュール版)」
となっておりますため、バリューサーバーコントロールパネルのPHPバージョン
選択画面にて「PHP5.6(モジュール版)」に設定いただきますとご利用いただ
けるかと存じます。

■バリューサーバーコントロールパネル > PHPのバージョン設定
https://s1.valueserver.jp/jp/admin.cgi?domainphp1=1

なお、標準のPHPを5.6 から 7.2(もしくは 7.3)に変更するメンテナンスを計
画しており、PHP7.2 にて XMLWriter が使用可能になりますので、それまでお
待ちいただければと存じます。

メンテナンス日時につきましては、全体への影響を考慮し、準備を整えさせて
いただいきましたら、メンテナンスページにてご案内いたします。

■お知らせ・障害・メンテナンス情報(バリューサーバー 全体)
https://mainte.value-domain.com/eventview.cgi?host=ValueServerAll

恐れ入りますが、以上ご確認の程よろしくお願いいたします。
その他ご不明な点がございましたら、お気軽にお問い合わせください。

今後とも弊社サービスをよろしくお願い申しあげます。
?L????W 編集
件名
名前
メールアドレス
URL
画像添付


暗証キー
画像認証 (右画像の数字を入力) 投稿キー
コメント
・誹謗中傷するなど他人に不快な思いをさせる、不適切な投稿はお止めください。
・管理者が不適当と判断する記事は予告なく編集・削除することがあります。